org.apache.lucene.codecs.lucene50

## Enum Lucene50StoredFieldsFormat.Mode

- java.lang.Object
- - java.lang.Enum<Lucene50StoredFieldsFormat.Mode>
  - - org.apache.lucene.codecs.lucene50.Lucene50StoredFieldsFormat.Mode

All Implemented Interfaces:
  Serializable, Comparable<Lucene50StoredFieldsFormat.Mode>

Enclosing class:
  Lucene50StoredFieldsFormat

    public static enum Lucene50StoredFieldsFormat.Mode
    extends Enum<Lucene50StoredFieldsFormat.Mode>

Configuration option for stored fields.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`BEST_COMPRESSION` Trade retrieval speed for compression ratio.
`BEST_SPEED` Trade compression ratio for retrieval speed.

### Method Summary

All Methods Static Methods Concrete Methods
`static Lucene50StoredFieldsFormat.Mode` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Lucene50StoredFieldsFormat.Mode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### BEST_SPEED

    public static final Lucene50StoredFieldsFormat.Mode BEST_SPEED

Trade compression ratio for retrieval speed.

#### BEST_COMPRESSION

    public static final Lucene50StoredFieldsFormat.Mode BEST_COMPRESSION

Trade retrieval speed for compression ratio.

### Method Detail

#### values

    public static Lucene50StoredFieldsFormat.Mode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Lucene50StoredFieldsFormat.Mode c : Lucene50StoredFieldsFormat.Mode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Lucene50StoredFieldsFormat.Mode valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null